Subject: Toxic Pits

From: [email-masked]
Date: Fri, 11 Oct 1996 18:55:29 GMT

I have several preserving cookbooks that suggest using pits from fruits
such as apricots, cherries, and peaches as a flavoring agent.   Am I
correct in saying that these pits contain the toxin hydrocyanic acid?  I
also understand that hydrocyanic acid is the substance that gives almonds
their flavor.   That would explain to me why use of cherry, apricot, or
peach pits would give an almond flavor.  But anyhow, I'm curious to know
more about this as I do not want to feed anyone toxic preserves.  Is it
dangerous to use pits for flavoring?

Thanks in advance for any and all replies.

Cassie Laibrook
[email-masked]